<template>
  <div class="header-title">
    <div class="login-header" v-if="isLogin">
      <div class="headered">
        <span class="back-con" @click="back">{{backText}}</span>
        <span class="right-text" @click="rightClick">{{rightText}}</span>
      </div>
      <div class="header-tit"><span>{{message}}</span></div>
  </div>
  <div class="header-idx" v-else-if="isIndex">
      <ul class="easy-head">
        <li class="easy-lef"><img :src="easySrc" class="easy-index-logo"/></li>
        <li class="easy-rig" v-if="!rightText">
            <span @click="loginIn()">登录</span>
            | <span @click="signIn()"> 注册</span>
        </li>
        <li class="easy-rig" v-else>
          {{rightText}}
        </li>
      </ul>
    </div>
    <div class="another-head" v-else>
      <ul class="another-list">
        <li class="back-box"  @click="back">{{backText}}</li>
        <li class="another-center">{{rightText}}</li>
        <li class="another-rig" @click="save">{{saveText}}</li>
      </ul>
    </div>

  </div>
</template>

<script>
  export default {
    name: 'navigation',
    props:{
      message:{
        type:String
      },
      backText:{
        type:String
      },

      rightText:{
        type:String
      },
      isLogin:{
          type:Boolean,
          default:true
      },
      isIndex:{
          type:Boolean,
          default:false
      },
      saveText:{
          type:String
      }
    },
    data () {
      return {
        easySrc:require("../assets/easy-logo.png")
      }
    },
    methods:{
      back(){
        this.$emit("went");
      },
      rightClick(){
          this.$emit("rights");
      },
      loginIn(){
          this.$emit("logins")
      },
      signIn(){
          this.$emit("signs")
      },
      save(){
          this.$emit("save")
      }
    }
  }
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
  @import "../styles/base.css";
  div.headered{
    display:-webkit-box;
    height:2rem;
    line-height:2rem;
    font-size:.56rem;
  }

  .header-tit{
    padding-left:.72rem;
    text-align:left;
    line-height: 2rem;
    color:#FF7A00;
    font-size:.84rem;
    font-weight:bold;
  }
  div.headered .back-con, .back-box{
    display:-webkit-box;
    height:2rem;
    padding-left:.4rem;
    line-height:2rem;
    -webkit-box-align: center;
    font-size:.58rem;

  }
  .back-con:before, .back-box:before{
    content:"";
    display: block;
    width:.4rem;
    height:.4rem;
    margin:0 .2rem 0 .4rem;
    border-style:solid;
    border-width: 1px;
    border-color:#000 #000 transparent transparent;
    -webkit-transform: rotate(-135deg);
  }
  .right-text{
    display:block;
    -webkit-box-flex:1;
    padding-right:.64rem;
    text-align:right;
    color:#333;
  }
  .header-idx{
    height:1.8rem;
    line-height:1.8rem;
  }
  .easy-head{
    display: -webkit-box;
  }
  .easy-lef{
    width:3.92rem;

  }
  .easy-lef img{
    display: block;
    width:3.92rem;
  }
  .easy-rig{
    -webkit-box-flex:1;
    padding-right:.6rem;
    text-align: right;
    font-size:.48rem;
  }
   .another-list{
     display:-webkit-box;

     line-height:2rem;
     border-bottom:#d1d1d1 1px solid;
   }
   .another-center{
     width:11.4rem;
     text-align: center;
     font-size:.56rem;
   }
  .another-rig{
    -webkit-box-flex: 1;
    padding-right:.4rem;
    font-size:.56rem;
    color:#FF7A00;
  }
</style>
